package com.kmall.api.contants;

/**
 * @author huangyq
 * @version 1.0
 * 2018-10-11 09:38:30
 */
public class Dict {

    /**
     * 支付方式，weixin:微信;alipay:支付宝;tenpay:QQ财付通
     */
    public enum payFlag {
        item_weixin("weixin", "微信"),
        item_tenpay("tenpay", "财付通"),
        item_alipay("alipay", "支付宝");

        private String item;
        private String itemName;

        payFlag(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 订单业务类型：00:保税备货， 02:保税展示补货，10:保税展示跨境，11:普通商品
     */
    public enum orderBizType {
        item_00("00", "保税备货"),
        item_02("02", "保税展示补货"),
        item_10("10", "保税展示跨境"),
        item_11("11", "普通商品");

        private String item;
        private String itemName;

        orderBizType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 商户返回核验结果，0:未知，1:一致，2:不一致
     */
    public enum merchReturnSubjectChecked {
        item_0("0", "未知"),
        item_1("1", "一致"),
        item_2("2", "不一致");

        private String item;
        private String itemName;

        merchReturnSubjectChecked(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }
    /**
     * 平安返回核验结果，0:未知，1:一致，2:不一致
     */
    public enum pinganReturnSubjectChecked {
        item_0("0", "未知"),
        item_1("1", "一致"),
        item_2("2", "不一致");

        private String item;
        private String itemName;

        pinganReturnSubjectChecked(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 校验结果状态 1：通过，2：不通过
     */
    public enum subjectChecked {
        item_1("1", "通过"),
        item_2("2", "不通过");

        private String item;
        private String itemName;

        subjectChecked(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }
    /**
     * 通知状态，0:待发送，1:发送中，2:成功，3:失败
     */
    public enum notiStatus {
        item_0("0", "待发送"),
        item_1("1", "发送中"),
        item_2("2", "成功"),
        item_3("3", "失败");

        private String item;
        private String itemName;

        notiStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }
    /**
     * 是否停止通知，0:否，1:是
     */
    public enum isStop {
        item_0("0", "否"),
        item_1("1", "是");

        private String item;
        private String itemName;

        isStop(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 是否已使用
     */
    public enum isUsed {
        item_0("0", "否"),
        item_1("1", "是");

        private String item;
        private String itemName;

        isUsed(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }
}
